<?php 
	$protocols = array('http', 'https', 'ftp', 'ftps', 'mailto', 'news', 'irc', 'gopher', 'nntp', 'feed', 'telnet', 'skype');
	$directory = esc_url(trailingslashit( get_template_directory_uri() )); 
	$default = esc_url(get_option('custom_logo', $directory . 'style/images/logo.png'));
	$default_retina = esc_url(get_option('custom_logo_retina', $directory . 'style/images/logo@2x.png'));
	
	$phone = get_option('header_phone','+00 (123) 456 78 90');
	$email = get_option('header_email', 'first.last@email.com');
?>

<div class="navbar default centered extended">
	<div class="navbar-header">
	
		<div class="container basic-wrapper top"> 
		
			<a class="btn responsive-menu pull-right" data-toggle="collapse" data-target=".navbar-collapse"><i></i></a>
			
			<div class="navbar-brand pull-left">
				<a href="<?php echo esc_url(home_url('/')); ?>">
				
					<?php if( $default ) : ?>
						<img 
							src="<?php echo $default; ?>" 
							alt="<?php echo esc_attr(get_option('custom_logo_alt_text')); ?>" 
							data-src="<?php echo $default; ?>" 
							data-ret="<?php echo $default_retina; ?>" 
							class="retina" 
						/>
					<?php else : ?>
						<span><?php echo bloginfo('name'); ?></span>
					<?php endif; ?>
					
				</a>
			</div>
			
			<ul class="info pull-right">
				<?php
					if( $phone )
						echo '<li><i class="icon-phone-1"></i> '. $phone .' </li>';
						
					if( $email )
						echo '<li><i class="icon-mail-alt"></i> <a href="'. esc_url('mailto:'. $email) .'">'. $email .'</a></li>';
				?>
			</ul>
		
		</div><!--/.container -->
		
		<nav class="collapse navbar-collapse">
			<div class="container">
			
				<?php
					if ( has_nav_menu( 'primary' ) ){
					    wp_nav_menu( 
					    	array(
						        'theme_location'    => 'primary',
						        'depth'             => 3,
						        'container'         => false,
						        'container_class'   => false,
						        'menu_class'        => 'nav navbar-nav pull-left',
						        'menu_id'           => 'menu-standard-navigation',
						        'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
						        'walker'            => new ebor_bootstrap_navwalker()
					        )
					    );
						    
					} else {
						echo '<ul class="nav navbar-nav"><li><a href="'. admin_url('nav-menus.php') .'">Set up a navigation menu now</a></li></ul>';
					}
				?>
				
				<ul class="social pull-right">
					<?php
						for( $i = 1; $i < 7; $i++ ){
							if( get_option("header_social_url_$i") ) {
								echo '<li>
									      <a href="' . esc_url(get_option("header_social_url_$i"), $protocols) . '" target="_blank">
										      <i class="icon-s-' . get_option("header_social_icon_$i") . '"></i>
									      </a>
									  </li>';
							}
						} 
					?>
				</ul>
	          
			</div>
		</nav><!--/.nav-collapse --> 
		
	</div><!--/.navbar-header --> 
</div><!--/.navbar -->