<?php 
	$directory = esc_url(trailingslashit( get_template_directory_uri() )); 
	$default = esc_url(get_option('custom_logo', $directory . 'style/images/logo.png'));
	$default_retina = esc_url(get_option('custom_logo_retina', $directory . 'style/images/logo@2x.png'));
?>

<div class="navbar default navbar-simple">
	<div class="navbar-header">
		<div class="container">
		
			<div class="basic-wrapper"> 
				<a class="btn responsive-menu pull-right" data-toggle="collapse" data-target=".navbar-collapse"><i></i></a>
				<div class="navbar-brand">
					<a href="<?php echo esc_url(home_url('/')); ?>">
						<?php if( $default ) : ?>
							<img 
								src="<?php echo $default; ?>" 
								alt="<?php echo esc_attr(get_option('custom_logo_alt_text')); ?>" 
								data-src="<?php echo $default; ?>" 
								data-ret="<?php echo $default_retina; ?>" 
								class="retina" 
							/>
						<?php else : ?>
							<span><?php echo bloginfo('name'); ?></span>
						<?php endif; ?>
					</a>
				</div>
			</div>
			
			<nav class="collapse navbar-collapse pull-right">
				<?php
					if ( has_nav_menu( 'primary' ) ){
					    wp_nav_menu( 
					    	array(
						        'theme_location'    => 'primary',
						        'depth'             => 3,
						        'container'         => false,
						        'container_class'   => false,
						        'menu_class'        => 'nav navbar-nav',
						        'menu_id'           => 'menu-standard-navigation',
						        'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',
						        'walker'            => new ebor_bootstrap_navwalker()
					        )
					    );
						    
					} else {
						echo '<ul class="nav navbar-nav"><li><a href="'. admin_url('nav-menus.php') .'">Set up a navigation menu now</a></li></ul>';
					}
				?>
			</nav><!--/.nav-collapse --> 
		
		</div>
	</div>
</div><!--/.navbar -->