<?php

class AQ_Fotorama_Block extends AQ_Block {

	function __construct() {
		$block_options = array(
			'name' => 'Fotorama',
			'size' => 'span12',
			'block_description' => 'Add a slider of images into the page.',
			'block_icon' => '<i class="fa fa-image fa-fw"></i>',
			'block_category' => 'sliders'
		);
		parent::__construct('AQ_Fotorama_Block', $block_options);
	}//end construct
	
	function form($instance) {
	
		$defaults = array(
			'image' => ''
		);
		
		$instance = wp_parse_args($instance, $defaults);
		extract($instance);
	?>

		<p class="description">Manage Images<br /><small>Add and manage your images for this slider here, drag to reorder.</small></p>
		<?php echo aq_field_upload('image', $block_id, $image, $media_type = 'gallery') ?>
		
	<?php
	}//end form
	
	function block($instance) {
		extract($instance);
		
		$slides = explode(',', $image);
		
		if( is_array($slides) ) :
	?>
		
		<div 
			class="fotorama"
			data-allowfullscreen="true"
			data-autoplay="5000"
			data-keyboard="true"
			data-arrows="true"
			data-click="false"
			data-swipe="true"
			data-nav="thumbs"
			data-fit="cover"
			data-width="100%"
			data-transition="slide"
			data-thumbwidth="90"
			data-thumbheight="50"
		>
			<?php 
				foreach( $slides as $ID ){
					$img = wp_get_attachment_image_src( $ID, 'full' );
					echo '<a href="'. esc_url($img[0]) .'">'. wp_get_attachment_image( $ID, 'fotorama' ) .'</a>';	
				}
			?> 
		</div>
		
	<?php
		endif;
		
	}//end block

}