<?php

class AQ_Map_Block extends AQ_Block {
	
	//set and create block
	function __construct() {
		$block_options = array(
			'name' => 'Map',
			'size' => 'span12',
			'block_description' => 'Add a google map to the page.',
			'block_icon' => '<i class="fa fa-fw fa-map-marker"></i>',
			'block_category' => 'misc'
		);
		//create the block
		parent::__construct('aq_map_block', $block_options);
	}//end construct
	
	function form($instance) {
		
		$defaults = array(
			'image' => '',
			'pppage' => 350,
			'text' => '',
			'address' => ''
		);
		$instance = wp_parse_args($instance, $defaults);
		extract($instance);
	?>
		
		<p class="description">Title <code>Optiional</code></p>
		<?php echo aq_field_input('title', $block_id, $title, $size = 'full') ?>
		
		<p class="description">Upload a Marker Image <code>Optional</code></p>
		<?php echo aq_field_upload('image', $block_id, $image, $media_type = 'image') ?>
		
		<p class="description">Address for map, use plain text, e.g: <code>Lord Mayors Walk, York, England</code></p>
		<?php echo aq_field_input('address', $block_id, $address, $size = 'full') ?>
		
		<p class="description">Map Height (px)</p>
		<?php echo aq_field_input('pppage', $block_id, $pppage, $size = 'full', $type = 'number') ?>
		
		<hr />
		
		<p class="description">Text Below Map <code>Optional</code></p>
		<?php echo aq_field_editor('text', $block_id, $text) ?>

	<?php
	}//end form
	
	function block($instance) {
		extract($instance);
		
		if($title)
			echo '<h3 class="section-title">' . $title . '</h3>';

		echo '<div id="map" class="'. esc_attr($block_id) .'" style="height: '. esc_attr($pppage) .'px;"></div>';
		
		if( $text )
			echo '<div class="divide20"></div>' . wpautop(do_shortcode(htmlspecialchars_decode($text)));
		
		echo "<script type='text/javascript'>
				jQuery(document).ready(function($){
				'use strict';
				
					jQuery('#map.". esc_attr($block_id) ."').goMap({ address: '" . esc_js($address) ."',
					  zoom: 14,
					  mapTypeControl: true,
				      draggable: false,
				      scrollwheel: false,
				      streetViewControl: true,
				      maptype: 'ROADMAP',
			    	  markers: [
			    		{ 'address' : '" . esc_js($address) ."' }
			    	  ],
					  icon: '". esc_url($image) ."', 
					  addMarker: false,
					});
					
					var styles = [{stylers:[{saturation:-100},{gamma:1}]},{elementType:'labels.text.stroke',stylers:[{visibility:'off'}]},{featureType:'poi.business',elementType:'labels.text',stylers:[{visibility:'off'}]},{featureType:'poi.business',elementType:'labels.icon',stylers:[{visibility:'off'}]},{featureType:'poi.place_of_worship',elementType:'labels.text',stylers:[{visibility:'off'}]},{featureType:'poi.place_of_worship',elementType:'labels.icon',stylers:[{visibility:'off'}]},{featureType:'road',elementType:'geometry',stylers:[{visibility:'simplified'}]},{featureType:'water',stylers:[{visibility:'on'},{saturation:50},{gamma:0},{hue:'#50a5d1'}]},{featureType:'administrative.neighborhood',elementType:'labels.text.fill',stylers:[{color:'#333333'}]},{featureType:'road.local',elementType:'labels.text',stylers:[{weight:0.5},{color:'#333333'}]},{featureType:'transit.station',elementType:'labels.icon',stylers:[{gamma:1},{saturation:50}]}];
					
					$.goMap.setMap({styles: styles});
				
				});
			</script>";	
			
	}//end block
	
}//end class