<?php

class AQ_Ebor_Text_Block extends AQ_Block {
	
	//set and create block
	function __construct() {
		$block_options = array(
			'name' => 'Text',
			'size' => 'span6',
			'block_icon' => '<i class="fa fa-font fa-fw"></i>',
			'block_description' => 'Use to add Text, HTML or Shortcodes.',
			'block_category' => 'text'
		);
		
		//create the block
		parent::__construct('aq_ebor_text_block', $block_options);
	}
	
	function form($instance) {
		
		$defaults = array(
			'text' => '',
			'subtitle' => '',
			'wpautop' => 0,
			'code_display' => 0,
			'center' => 0
		);
		
		$instance = wp_parse_args($instance, $defaults);
		extract($instance);
	?>
		
		<p class="description">Title <code>Optiional</code></p>
		<?php echo aq_field_input('title', $block_id, $title, $size = 'full') ?>
		
		<p class="description">Subitle <code>Optiional</code></p>
		<?php echo aq_field_input('subtitle', $block_id, $subtitle, $size = 'full') ?>
		
		<p class="description">Block Content</p>
		<?php echo aq_field_editor('text', $block_id, $text) ?>
		
		<hr />
		
		<div class="ebor-checkbox cf">
			<?php echo aq_field_checkbox('wpautop', $block_id, $wpautop) ?>
			<p class="description">Disable Auto Paragraphs? <code>wpautop</code></p>
		</div>
		
		<div class="ebor-checkbox cf">
			<?php echo aq_field_checkbox('center', $block_id, $center) ?>
			<p class="description">Center all text?</p>
		</div>
		
		<div class="ebor-checkbox cf">
			<?php echo aq_field_checkbox('code_display', $block_id, $code_display) ?>
			<p class="description">Display as preformatted code?</p>
		</div>
		
	<?php
	}// end form
	
	function block($instance) {
		extract($instance);
		
		if( 1 == $center )
			echo '<div class="text-center">';

		if($title)
			echo '<h3 class="section-title">' . htmlspecialchars_decode($title) . '</h3>';
			
		if($subtitle)
			echo '<p class="lead">'. htmlspecialchars_decode($subtitle) .'</p><div class="divide15"></div>';
		
		if($code_display == 1){
			echo '<pre class="prettyprint linenums">' . htmlspecialchars_decode($text) . '</pre>';
		} else {	
			if($wpautop){
				echo do_shortcode(htmlspecialchars_decode($text));
			} else {
				echo wpautop(do_shortcode(htmlspecialchars_decode($text)));
			}
		}
		
		if( 1 == $center )
			echo '</div>';
		
		echo '<div class="divide20"></div>';

	}//end block
	
}//end class