<?php 

/**
 * Page Builder Functions
 * Queue Up Framework
 * @since version 1.0
 * @author TommusRhodus
 */
if(class_exists('AQ_Page_Builder')) {
	
	/**
	 * Register the portfolio blocks for this theme
	 */
	if(!( class_exists('AQ_Section_Block') )){
		require_once ( "page_builder_blocks/page_section_block.php" );
		aq_register_block('AQ_Section_Block');
	}
	if(!( class_exists('AQ_Spacer_Block') )){
		require_once ( "page_builder_blocks/spacer_block.php" );
		aq_register_block('AQ_Spacer_Block');
	}
	if(!( class_exists('AQ_Column_Block') )){
		require_once ( "page_builder_blocks/column_block.php" );
		aq_register_block('AQ_Column_Block');
	}
	if(!( class_exists('AQ_Section_Title_Block') )){
		require_once ( "page_builder_blocks/section_title_block.php" );
		aq_register_block('AQ_Section_Title_Block'); 
	}
	if(!( class_exists('AQ_Intro_Block') )){
		require_once ( "page_builder_blocks/intro_block.php" );
		aq_register_block('AQ_Intro_Block'); 
	}
	if(!( class_exists('AQ_Ebor_Text_Block') )){
		require_once ( "page_builder_blocks/text_block.php" );
		aq_register_block('AQ_Ebor_Text_Block');
	}
	if(!( class_exists('AQ_Icon_Block') )){
		require_once ( "page_builder_blocks/icon_block.php" );
		aq_register_block('AQ_Icon_Block');
	}
	if(!( class_exists('AQ_Blog_Block') )){
		require_once ( "page_builder_blocks/blog_block.php" );
		aq_register_block('AQ_Blog_Block');
	}
	if(!( class_exists('AQ_Portfolio_Block') )){
		require_once ( "page_builder_blocks/portfolio_block.php" );
		aq_register_block('AQ_Portfolio_Block'); 
	}
	if(!( class_exists('AQ_Pricing_Table_Block') )){
		require_once ( "page_builder_blocks/pricing_table_block.php" );
		aq_register_block('AQ_Pricing_Table_Block');
	}
	if(!( class_exists('AQ_Map_Block') )){
		require_once ( "page_builder_blocks/map_block.php" );
		aq_register_block('AQ_Map_Block');
	}
	if(!( class_exists('AQ_Blog_Carousel_Block') )){
		require_once ( "page_builder_blocks/blog_carousel_block.php" );
		aq_register_block('AQ_Blog_Carousel_Block');
	}
	if(!( class_exists('AQ_Testimonial_Carousel_Block') )){
		require_once ( "page_builder_blocks/testimonial_carousel_block.php" );
		aq_register_block('AQ_Testimonial_Carousel_Block');
	}
	if(!( class_exists('AQ_Portfolio_Carousel_Block') )){
		require_once ( "page_builder_blocks/portfolio_carousel_block.php" );
		aq_register_block('AQ_Portfolio_Carousel_Block');
	}
	if(!( class_exists('AQ_Skills_Block') )){
		require_once ( "page_builder_blocks/skills_block.php" );
		aq_register_block('AQ_Skills_Block');
	}
	if(!( class_exists('AQ_Flickr_Block') )){
		require_once ( "page_builder_blocks/flickr_block.php" );
		aq_register_block('AQ_Flickr_Block');
	}
	if(!( class_exists('AQ_Instagram_Block') )){
		require_once ( "page_builder_blocks/instagram_block.php" );
		aq_register_block('AQ_Instagram_Block');
	}
	if(!( class_exists('AQ_Team_Feed_Block') )){
		require_once ( "page_builder_blocks/team_feed_block.php" );
		aq_register_block('AQ_Team_Feed_Block');
	}
	if(!( class_exists('AQ_Ebor_Tabs_Block') )){
		require_once ( "page_builder_blocks/tabs_block.php" );
		aq_register_block('AQ_Ebor_Tabs_Block');
	}
	if(!( class_exists('AQ_Ebor_Alert_Block') )){
		require_once ( "page_builder_blocks/alert_block.php" );
		aq_register_block('AQ_Ebor_Alert_Block');
	}
	if(!( class_exists('AQ_Lightbox_Gallery_Block') )){
		require_once ( "page_builder_blocks/lightbox_gallery_block.php" );
		aq_register_block('AQ_Lightbox_Gallery_Block');
	}
	if(!( class_exists('AQ_Image_Carousel_Block') )){
		require_once ( "page_builder_blocks/image_carousel_block.php" );
		aq_register_block('AQ_Image_Carousel_Block');
	}
	if(!( class_exists('AQ_Revslider_Block') ) && function_exists('set_revslider_as_theme') ){
		require_once ( "page_builder_blocks/revslider_block.php" );
		aq_register_block('AQ_Revslider_Block');
	}
	if(!( class_exists('AQ_Fotorama_Block') ) ){
		require_once ( "page_builder_blocks/fotorama_block.php" );
		aq_register_block('AQ_Fotorama_Block');
	}
	if(!( class_exists('AQ_Divas_Block') ) ){
		require_once ( "page_builder_blocks/divas_block.php" );
		aq_register_block('AQ_Divas_Block');
	}
	if(!( class_exists('AQ_Sharing_Buttons_Block') )){
		require_once ( "page_builder_blocks/sharing_buttons_block.php" );
		aq_register_block('AQ_Sharing_Buttons_Block');
	}
	if(!( class_exists('AQ_HTML_Block') )){
		require_once ( "page_builder_blocks/html_block.php" );
		aq_register_block('AQ_HTML_Block');
	}
	
	/**
	 * Wrapper function overrides
	 * @doNotModify Unless you know exactly what you're doing, modification of these will break the theme layout. You have been warned.
	 */
	function aq_css_classes($block){
		$block = str_replace('span', '', $block);
		$output = 'col-sm-' . $block;
		return $output;
	}
	function aq_css_clearfix(){
		return false;
	}
	function aq_template_wrapper_start($template_id){
		return '';
	}
	function aq_template_wrapper_end(){
		return '';
	}
	
}