<?php
	/**
	 * First let's check what image layout we're using.
	 * This get's and checks the post meta for the chosen layout.
	 * Fallback incase no meta was set.
	 */
	$layout = get_post_meta($post->ID, '_ebor_gallery_type', 1);
	if( '' == $layout || false == $layout || !(isset($layout)) )
		$layout = 'carousel';
	
	/**
	 * Next let's check what meta layout we're using.
	 * This get's and checks the post meta for the chosen layout.
	 * Fallback incase no meta was set.
	 */	
	$meta = get_post_meta($post->ID, '_ebor_meta_layout', 1);
	if( '' == $meta || false == $meta || !(isset($meta)) )
		$meta = 'right-meta';
	
	/**
	 * Lastly, this is a video format post, then abandon the meta we grabbed earlier.
	 * Replace it with the video markup.
	 */
	if( 'video' == get_post_format() )
		$layout = 'video';
?>

<div class="light-wrapper">

	<div class="container inner bp0">
		<?php get_template_part('single-portfolio/content', $meta); ?>
	</div>
	<div class="divide25"></div>

	<?php 
		get_template_part('single-portfolio/content', $layout); 
		get_template_part('single-portfolio/content','nav'); 
	?>

</div><!-- /.light-wrapper -->